## xdrawchem 1.10.2.1

=== debian/changelog ===
xdrawchem (1:1.10.2.1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:29:05 +0100

xdrawchem (1:1.10.2.1-3) unstable; urgency=medium

  [ Andrius Merkys ]
  * Non-maintainer upload.
  * Porting to Open Babel 3.

  [ Georges Khaznadar ]
  * Merged Andrius Merkys' patches, and updated the repository in
    salsa.debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Jan 2020 18:29:55 +0100

xdrawchem (1:1.10.2.1-2) unstable; urgency=medium

  * updated Standards-Version and dh level
  * moved the file d/source/README.Debian to d/README.Source
    Closes: #917952
  * simplified d/copyright, removed a duplicate license definition, and
    a file name not in the source package
  * added an override in d/rules to avoid distributing more copies of GPL.txt

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 16:30:37 +0100

xdrawchem (1:1.10.2.1-1) unstable; urgency=medium

  * New upstream release
  * created d/watch file and d/get-newest-source.sh to repackage
    the source, in order to keep only the subdirectory xdrawchem-qt5/
    which is the only one maintained now.
  * simplified d/rules
    

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 19:10:29 +0200

xdrawchem (2.0-6) unstable; urgency=medium

  * modified d/rules and created d/xdrawchem.install; Closes: #841599

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2016 17:15:51 +0100

xdrawchem (2.0-5) unstable; urgency=medium

  * prepared for GCC6: patched xdrawchem/molecule_obmol.cpp,
    checked the compilation with QT_CXX = g++-6. Closes: #811675
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Jun 2016 12:26:08 +0200

xdrawchem (2.0-4) unstable; urgency=medium

  * added a very simple desktop file. Closes: #708578
  * included Frans Spiesschaert's po file. Closes: #794801

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Feb 2016 13:46:17 +0100

xdrawchem (2.0-3) unstable; urgency=medium

  * changed my DEBEMAIL
  * applied Martin Steghöfer's patch: Closes: #763037
  * updated debhelper's b-dependency to 9, Standards-Version to 3.9.5
  * stripped trailing white spaces in this file
  * removed extra-license-files
  * activated dpkg-buildflags to harden the code
  * fixed short names with spaces from d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Oct 2014 18:30:38 +0200

xdrawchem (2.0-2) unstable; urgency=low

  * applied Cyril Brulebois' patch. Closes: #667420
  * upgraded Standards-Version to 3.9.3
  * made a versioned build-dependency on bash

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 May 2012 13:45:06 +0000

xdrawchem (2.0-1) unstable; urgency=low

  * upgraded to the SVN subdir xdrawchem-qt4 published 3 years ago.
    it builds a release based on qt4. Closes: #604390
  * changed the reference "/usr/local/share/xdrawchem2" to
    /usr/share/xdrawchem2
  * changed the announced version number to 2.0, in order to distinguish
    this release from non-qt4 builds
  * fixed configure: changed qmake4 to qmake-qt4
  * changed the target xdrawchem2 to xdrawchem in xdrawchem.pro
  * enforced the use of bash in configure

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 May 2011 19:31:30 +0200

xdrawchem (1.99.1+svn20110402-1) unstable; urgency=low

  * upgraded to a new upstream version which implements the use of
    Qt4

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Apr 2011 00:43:40 +0200

xdrawchem (1.9.9-6) unstable; urgency=low

  * modified the source to make them compatible with Qt4.
  * lauched am2cmake, removed Makefile.am, automoc, autoscan* and config*,
    etc. files
  * modified CMakeLists.txt to define subdirs, and other CMakeLists.txt
    in subdiretories to define install paths
  * hacked many Qt3 former definitions
  * removed direct integration of XPM files in the application source

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 Feb 2011 13:50:46 +0100

xdrawchem (1.9.9-5) unstable; urgency=low

  * fixed the segfault when saving an empty data. Closes: #379391
  * applied Daniel Leidert's patch. Closes: #405131
  * tried to reproduce the bug described by Robert Lemmen (at version 1.7.4),
    entered the SMILES string "nh4" without triggering a segfault.
    LI Daobing considered already this as non-reproducible since version
    1.9.9-3. Closes: #215409
  * removed the build dependency on libqt3-compat-headers. Closes: #464921
  * the change in debian/menu already done ... Closes: #482934

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Feb 2011 22:16:59 +0100

xdrawchem (1.9.9-4.2) unstable; urgency=low

  * adopted the package: Closes #513160
  * the build can be done with the current version of libqt4-dev, changed the
    Conflicts: to libqt4-dev (<< 4:4.6.3-4)
  * upgraded Standards-Version to 3.9.1
  * added a missing "#include <stdlib.h>" in molinfodialog.cpp
  * added debian/README.source
  * added a "${misc:Depends}" into debian/changelog
  * wrote 7 into debian/compat
  * removed the "-1 dependencies" from debian/control
  * added a test to check Makefile before launching a make
  * changed the layout of debian/copyright added e-mail addresses of
    the authors
  * removed some "generic" words coming from the template in README.debian
    and fixed a typo in the same file.
  * changed Apps/Science to Applications/Science/Chemistry in debian/menu

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 01 Feb 2011 23:17:43 +0100

xdrawchem (1.9.9-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/04_shellescape.dpatch:
    - Fix location of patched files (Closes: #560527).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 14 Jul 2010 14:59:08 +0000

xdrawchem (1.9.9-4) unstable; urgency=low

  [ Li Daobing ]
  * debian/xdrawchem.desktop: fix warning for desktop-file-validate.
  * FTBFS with GCC 4.3: missing #includes (Closes: #417776)

