=== debian/control ===
Source: xdrawchem
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 11),
 qt5-qmake, qtbase5-dev, qtbase5-dev-tools,
 libopenbabel-dev (>= 3.0.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/georgesk/xdrawchem
Vcs-Git: https://salsa.debian.org/georgesk/xdrawchem.git

Package: xdrawchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chemical structures and reactions editor
 Xdrawchem is a 2D editor for chemical structures and reactions.  It 
 mirrors the abilities of the commercial ChemDraw suite and has file 
 compatibility with it as well as other chemical formats through 
 OpenBabel.
