=== debian/watch ===
version=4

opts=uversionmangle=s/v?(\d\S+)-(\d+)/$1.$2/ \
https://github.com/bryanherger/xdrawchem/tags \
   /bryanherger/xdrawchem/archive/(.*)\.tar\.gz \
 debian /bin/sh debian/get-newest-source.sh
