## xdrawchem 1.11.0

=== debian/changelog ===
xdrawchem (1:1.11.0-5) unstable; urgency=medium

  * fixed the watch file, with searchmode=plain
  * bumped Standards-Version: 4.7.0
  * removed the version constrint for the dependency libopenbabel-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 16:54:29 +0200

xdrawchem (1:1.11.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:47:36 +0100

xdrawchem (1:1.11.0-3) unstable; urgency=medium

  * added a desktop file and a logo. Closes: #986945
  * removed debian/menu

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:46:20 +0100

xdrawchem (1:1.11.0-2) unstable; urgency=medium

  * taken in account Andrius Merkys' hints about documenting the new
    decision to rebase the package on the fork
    https://gitlab.com/yamanq/xdrawchem; Closes: #979215

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Jan 2021 19:44:40 +0100

xdrawchem (1:1.11.0-1) unstable; urgency=medium

  * rebased the watch file to point to https://gitlab.com/yamanq/xdrawchem
  * New upstream version 1.11.0
  * made a build dependency on debhelper-compat (= 12)
  * added a build dependency on libqt5svg5-dev
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Aug 2020 17:07:11 +0200
