=== debian/watch ===
version=4

opts="uversionmangle=s/v?(\d\S+)/$1/,searchmode=plain" \
    https://gitlab.com/yamanq/xdrawchem/-/tags \
    .*/yamanq/xdrawchem/-/archive/v(\d\S*)/.*\.tar\.gz
