## xdrawchem 1.11.1

=== debian/changelog ===
xdrawchem (1:1.11.1-2) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:55:13 +0100

xdrawchem (1:1.11.1-1) unstable; urgency=medium

  * fixed the watch file
  * New upstream version 1.11.1
  * added a build dependency on pkgconf. Closes: #1074773

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 17:54:45 +0200
