=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  libqt5svg5-dev,
- libopenbabel-dev
+ libopenbabel-dev,
+ pkgconf,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/georgesk/xdrawchem
 Vcs-Git: https://salsa.debian.org/georgesk/xdrawchem.git
