=== debian/control ===
Source: xdrawchem
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9), quilt, bash (>= 4.0), pkg-config,
 libqt4-dev, kdelibs5-dev,
 libopenbabel-dev (>= 2.0.0)
Standards-Version: 3.9.8

Package: xdrawchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chemical structures and reactions editor
 Xdrawchem is a 2D editor for chemical structures and reactions.  It 
 mirrors the abilities of the commercial ChemDraw suite and has file 
 compatibility with it as well as other chemical formats through 
 OpenBabel.
